=== debian/changelog ===
dwarfutils (1:0.11.1-1) unstable; urgency=medium

  * Upload to unstable

 -- Sylvestre Ledru <sylvestre@debian.org>  Mon, 24 Mar 2025 08:54:16 +0100

dwarfutils (1:0.11.1-1~exp2) experimental; urgency=medium

  * Add python3 in the build dep for the tests

 -- Sylvestre Ledru <sylvestre@debian.org>  Tue, 11 Mar 2025 09:23:38 +0100

dwarfutils (1:0.11.1-1~exp1) experimental; urgency=medium

  * New upstream release to use https://github.com/davea42/libdwarf-code
    which includes security fixes
    (Closes: #1065511)
    Bump epoch for this
  * Update of the homepage
  * Update of the watch link
  * Update lintian override info format in d/source/lintian-overrides
    on line 7, 17, 29-32.
  * Update standards version to 4.6.2, no changes needed.
  * Remove 00-spelling.patch - applied upstream
  * Add pkgconf in the build deps
  * Fix the doc paths

 -- Sylvestre Ledru <sylvestre@debian.org>  Sun, 09 Mar 2025 08:43:50 +0100

dwarfutils (20210528-1) unstable; urgency=medium

  * New upstream release.
  * Upgrade to Standards-Version 4.6.0.
  * Drop 00-timezone.patch and 01-spelling.patch (fixed upstream).
  * Update years in debian/copyright.
  * Update symbols file.
  * Add patch 00-spelling.patch.

 -- Fabian Wolff <fabi.wolff@arcor.de>  Sat, 11 Sep 2021 16:03:21 +0200

dwarfutils (20201201-1) unstable; urgency=medium

  * New upstream release.
  * Update symbols file.
  * Upgrade to Standards-Version 4.5.1.
  * Update Vcs-Git and Vcs-Browser fields.
  * Add 00-timezone.patch to fix a test case failure caused by the precise
    output depending on the current time zone.
  * Add 01-spelling.patch to fix the spelling errors found by Lintian.
  * Update Lintian overrides.

 -- Fabian Wolff <fabi.wolff@arcor.de>  Sat, 26 Dec 2020 14:54:07 +0100

dwarfutils (20200825-1) unstable; urgency=medium

  * New upstream release (Closes: #963098).
  * Update symbols file.
  * Upgrade to debhelper compat level 13.
  * Remove trailing slash from Vcs-Git field in debian/control.

 -- Fabian Wolff <fabi.wolff@arcor.de>  Mon, 31 Aug 2020 14:36:01 +0200

dwarfutils (20200114-1) unstable; urgency=medium

  * New upstream release.
  * Make include-test more cross-test-friendly (thanks to Steve Langasek
    <steve.langasek@canonical.com> for this!) (Closes: #948605).
  * Update debian/copyright.
  * Upgrade to Standards-Version 4.5.0.
  * Update Lintian overrides.

 -- Fabian Wolff <fabi.wolff@arcor.de>  Sat, 01 Feb 2020 18:51:20 +0100

dwarfutils (20191104-1) unstable; urgency=medium

  * New upstream release.
  * Update symbols file.
  * Update comments in debian/source/lintian-overrides.

 -- Fabian Wolff <fabi.wolff@arcor.de>  Wed, 06 Nov 2019 21:52:10 +0100

dwarfutils (20191002-1) unstable; urgency=medium

  * New upstream release.
  * Upgrade to Standards-Version 4.4.1 (no changes).
  * Add run-test and mark tests as superficial.
  * Update symbols file.
  * Update copyright years in debian/copyright.
  * Add debian/missing-sources/ to add the source file for a test case.
  * Add debian/source/lintian-overrides to override unjustified Lintian
    tags about missing and prebuilt binaries (read the explanations
    provided in that file for details).

 -- Fabian Wolff <fabi.wolff@arcor.de>  Tue, 05 Nov 2019 18:52:33 +0100

dwarfutils (20190529-1) unstable; urgency=medium

  * New upstream release.
  * Upgrade to Standards-Version 4.4.0 in debian/control (no changes).
  * Remove 00-fix-flags.patch (fixed upstream).
  * Update symbols file.
  * Upgrade to debhelper compat level 12.
  * Update debian/rules.

 -- Fabian Wolff <fabi.wolff@arcor.de>  Sun, 25 Aug 2019 17:39:12 +0200

dwarfutils (20180809-1) unstable; urgency=medium

  * New upstream release.
  * Upgrade to Standards-Version 4.2.1 in debian/control (no changes).
  * Update debian/copyright.
  * Update package build scripts (the upstream build process changed).
  * Update symbols file.
  * Remove 01-fix-makefile.patch (fixed upstream).
  * Add 00-fix-flags.patch to fix the warnings reported by blhc.

 -- Fabian Wolff <fabi.wolff@arcor.de>  Wed, 29 Aug 2018 22:46:39 +0200

dwarfutils (20180527-1) unstable; urgency=medium

  * New upstream release (Closes: #880771).
  * Fix broken symlinks in the libdwarf1 and libdwarf-dev packages
    (Closes: #891366).
  * Upgrade to Standards-Version 4.1.4 in debian/control (no changes).
  * Upgrade to debhelper compat level 11.
  * Remove incorrect Multi-Arch: foreign annotation for the dwarfdump
    package in debian/control.
  * Refresh patch 01-fix-makefile.patch.
  * Update symbols file.
  * Delete trailing whitespace from debian/changelog in order to
    silence the file-contains-trailing-whitespace Lintian tag.
  * Enable rudimentary autopkgtest package testing.

 -- Fabian Wolff <fabi.wolff@arcor.de>  Fri, 01 Jun 2018 12:26:43 +0200

dwarfutils (20180129-1) unstable; urgency=medium

  * New upstream release (Closes: #880771).
  * Remove Daniel Stender from Uploaders field in debian/control
    (Closes: #882119).
  * Upgrade to Standards-Version 4.1.3 in debian/control (no changes).
  * Remove useless dh-autoreconf build dependency.
  * Update Vcs-Git and Vcs-Browser fields in debian/control.
  * Update 01-fix-makefile.patch.
  * Update symbols file.
  * Update debian/copyright.

 -- Fabian Wolff <fabi.wolff@arcor.de>  Sat, 17 Feb 2018 15:15:20 +0100

dwarfutils (20170709-1) unstable; urgency=medium

  * New upstream release.
  * Refresh patch 01-fix-makefile.patch.
  * Remove patch 02-fix-CVE-2017-9998.patch (fixed upstream).
  * Update symbols file.

 -- Fabian Wolff <fabi.wolff@arcor.de>  Thu, 13 Jul 2017 21:01:23 +0200

dwarfutils (20170416-3) unstable; urgency=medium

  * Update debian/copyright.
  * Upgrade to Standards-Version 4.0.0 in debian/control (no changes).
  * Add patch 02-fix-CVE-2017-9998.patch to fix CVE-2017-9998
    (Closes: #866968).
  * Add override_dh_compress target in debian/rules to make sure the
    upstream changelog is compressed (Closes: #866155).


