=== debian/control ===
Source: dwarfutils
Maintainer: Fabian Wolff <fabi.wolff@arcor.de>
Section: libs
Priority: optional
Build-Depends: debhelper-compat (= 13),
               libelf-dev,
               zlib1g-dev,
               pkgconf,
               python3
Standards-Version: 4.6.2
Homepage: https://github.com/davea42/libdwarf-code
Vcs-Git: https://salsa.debian.org/wolff/dwarfutils.git
Vcs-Browser: https://salsa.debian.org/wolff/dwarfutils

Package: dwarfdump
Architecture: any
Section: utils
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: utility to dump DWARF debug information from ELF objects
 Dwarfdump is an application that can print the DWARF debugging
 information of an ELF object file in a human-readable form. It can
 also be used to check and validate manipulated DWARF sections.
 .
 This utility is part of dwarfutils.

Package: libdwarf-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: libdwarf1 (= ${binary:Version}),
         ${shlibs:Depends},
         ${misc:Depends}
Description: library to consume and produce DWARF debug information
 The libdwarf package provides a library which allows
 reading/consuming and writing/producing of DWARF debugging
 information from object files, shared libraries, and executables.
 .
 This package contains developer resources for libdwarf. Install it if
 you want to develop software that uses the libdwarf API.
 .
 This library is part of dwarfutils.

Package: libdwarf1
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: library to consume and produce DWARF debug information (runtime)
 The libdwarf package provides a library which allows
 reading/consuming and writing/producing of DWARF debugging
 information from object files, shared libraries, and executables.
 .
 This package contains the runtime library. You should not have to
 install it manually.
