=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode
# export DH_VERBOSE = 1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --buildsystem=autoconf

override_dh_auto_configure:
	dh_auto_configure -- --enable-shared --includedir=/usr/include

override_dh_install:
	mv debian/tmp/usr/include/libdwarf-1/* debian/tmp/usr/include/
	rmdir debian/tmp/usr/include/libdwarf-1/
	dh_install
