=== debian/watch ===
version=4
https://github.com/davea42/libdwarf-code//tags .*/v?(\d.*).tar\.gz
