## dwarfutils 20120410

=== debian/changelog ===
dwarfutils (20120410-2+deb7u2build0.16.04.1) xenial-security; urgency=medium

  * fake sync from Debian

 -- Tyler Hicks <tyhicks@canonical.com>  Mon, 31 Oct 2016 21:15:51 +0000

dwarfutils (20120410-2+deb7u2) wheezy-security; urgency=high

  * New maintainer.
  * Add patch CVE-2015-8538.patch to fix CVE-2015-8538 (Closes: #807817).
  * Add patch CVE-2015-8750.patch to fix CVE-2015-8750 (Closes: #813182).
  * Add patch CVE-2016-2050.patch to fix CVE-2016-2050.
  * Add patch CVE-2016-2091.patch to fix CVE-2016-2091 (Closes: #813148).
  * Add patch CVE-2016-5034.patch to fix CVE-2016-5034.
  * Add patch CVE-2016-5036.patch to fix CVE-2016-5036.
  * Add patch CVE-2016-5038.patch to fix CVE-2016-5038.
  * Add patch CVE-2016-5039.patch to fix CVE-2016-5039.
  * Add patch CVE-2016-5042.patch to fix CVE-2016-5042.

 -- Daniel Stender <stender@debian.org>  Wed, 19 Oct 2016 00:29:41 +0200

dwarfutils (20120410-2+deb7u1) wheezy-security; urgency=high

  * Specify "3.0 (quilt)" in debian/source/format to enforce clarity of
    patches.
  * CVE-2016-7510, CVE-2016-7511: Fix out-of-bounds read in range handling.

 -- Chris Lamb <lamby@debian.org>  Sat, 24 Sep 2016 13:18:41 +0200
