## dwarfutils 20161124

=== debian/changelog ===
dwarfutils (20161124-1+deb9u1) stretch; urgency=medium

  * Add patch 02-fix-CVE-2017-9052.patch to fix CVE-2017-9052 and
    CVE-2017-9055 (Closes: #864064).
  * Add patch 03-fix-CVE-2017-9053.patch to fix CVE-2017-9053.
  * Add patch 04-fix-CVE-2017-9054.patch to fix CVE-2017-9054.
  * Add patch 05-fix-CVE-2017-9998.patch to fix CVE-2017-9998
    (Closes: #866968).

 -- Fabian Wolff <fabi.wolff@arcor.de>  Sat, 15 Jul 2017 12:50:56 +0200
