=== debian/control ===
--- 
+++ 
@@ -1,19 +1,20 @@
 Source: dwarfutils
 Maintainer: Fabian Wolff <fabi.wolff@arcor.de>
+Uploaders: Daniel Stender <stender@debian.org>
 Section: libs
 Priority: optional
-Build-Depends: debhelper-compat (= 13),
+Build-Depends: debhelper (>= 9),
+               dh-autoreconf,
                libelf-dev,
-               zlib1g-dev,
-               pkgconf,
-               python3
-Standards-Version: 4.6.2
-Homepage: https://github.com/davea42/libdwarf-code
-Vcs-Git: https://salsa.debian.org/wolff/dwarfutils.git
-Vcs-Browser: https://salsa.debian.org/wolff/dwarfutils
+               zlib1g-dev
+Standards-Version: 3.9.8
+Homepage: https://www.prevanders.net/dwarf.html
+Vcs-Git: https://anonscm.debian.org/git/collab-maint/dwarfutils.git
+Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/dwarfutils.git
 
 Package: dwarfdump
 Architecture: any
+Multi-Arch: foreign
 Section: utils
 Depends: ${shlibs:Depends},
          ${misc:Depends}
