=== debian/control ===
--- 
+++ 
@@ -3,11 +3,11 @@
 Uploaders: Daniel Stender <stender@debian.org>
 Section: libs
 Priority: optional
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper (>= 10),
                dh-autoreconf,
                libelf-dev,
                zlib1g-dev
-Standards-Version: 3.9.8
+Standards-Version: 4.0.0
 Homepage: https://www.prevanders.net/dwarf.html
 Vcs-Git: https://anonscm.debian.org/git/collab-maint/dwarfutils.git
 Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/dwarfutils.git
