=== debian/control ===
--- 
+++ 
@@ -1,16 +1,14 @@
 Source: dwarfutils
 Maintainer: Fabian Wolff <fabi.wolff@arcor.de>
-Uploaders: Daniel Stender <stender@debian.org>
 Section: libs
 Priority: optional
 Build-Depends: debhelper (>= 10),
-               dh-autoreconf,
                libelf-dev,
                zlib1g-dev
-Standards-Version: 4.0.0
+Standards-Version: 4.1.3
 Homepage: https://www.prevanders.net/dwarf.html
-Vcs-Git: https://anonscm.debian.org/git/collab-maint/dwarfutils.git
-Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/dwarfutils.git
+Vcs-Git: https://salsa.debian.org/wolff-guest/dwarfutils.git/
+Vcs-Browser: https://salsa.debian.org/wolff-guest/dwarfutils
 
 Package: dwarfdump
 Architecture: any
