## dwarfutils 20180527

=== debian/control ===
--- 
+++ 
@@ -2,17 +2,16 @@
 Maintainer: Fabian Wolff <fabi.wolff@arcor.de>
 Section: libs
 Priority: optional
-Build-Depends: debhelper (>= 10),
+Build-Depends: debhelper (>= 11),
                libelf-dev,
                zlib1g-dev
-Standards-Version: 4.1.3
+Standards-Version: 4.1.4
 Homepage: https://www.prevanders.net/dwarf.html
 Vcs-Git: https://salsa.debian.org/wolff-guest/dwarfutils.git/
 Vcs-Browser: https://salsa.debian.org/wolff-guest/dwarfutils
 
 Package: dwarfdump
 Architecture: any
-Multi-Arch: foreign
 Section: utils
 Depends: ${shlibs:Depends},
          ${misc:Depends}
