=== debian/rules ===
--- 
+++ 
@@ -6,7 +6,7 @@
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
 %:
-	dh $@ --with autoreconf
+	dh $@
 
 override_dh_auto_configure:
 	dh_auto_configure -- --enable-shared
@@ -18,6 +18,3 @@
 	cd debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/ && \
 		ln -s libdwarf.so.* libdwarf.so
 	dh_install
-
-override_dh_compress:
-	dh_compress usr/share/doc/dwarfdump/ChangeLog
