=== dwarfdump/CMakeLists.txt ===
--- 
+++ 
@@ -10,14 +10,17 @@
 msvc_posix(esb_and_tsearchbal)
 
 set_source_group(SOURCES "Source Files" addrmap.c checkutil.c dwarfdump.c dwconf.c helpertree.c 
-	glflags.c
+	glflags.c command_options.c compiler_info.c
 	macrocheck.c print_abbrevs.c print_aranges.c print_debugfission.c print_die.c 
 	print_dnames.c print_frames.c  print_gdbindex.c
 	print_lines.c print_locs.c print_macro.c print_macros.c print_pubnames.c print_ranges.c print_reloc.c 
+	print_str_offsets.c
 	print_sections.c  print_section_groups.c print_static_funcs.c  print_static_vars.c print_strings.c print_types.c print_weaknames.c  
 	sanitized.c section_bitmaps.c strstrnocase.c uri.c dwgetopt.c makename.c naming.c common.c $<TARGET_OBJECTS:esb_and_tsearchbal>)
 	
-set_source_group(HEADERS "Header Files" checkutil.h common.h dwconf.h dwgetopt.h esb.h glflags.h globals.h macrocheck.h 
+set_source_group(HEADERS "Header Files" checkutil.h common.h dwconf.h
+  command_options.h compiler_info.h
+	dwgetopt.h esb.h glflags.h globals.h macrocheck.h defined_types.h
 	makename.h dwarf_tsearch.h print_frames.h section_bitmaps.h uri.h)
 
 set_source_group(CONFIGURATION_FILES "Configuration Files" configure.cmake config.h.in.cmake ${CMAKE_CURRENT_BINARY_DIR}/config.h)
