=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Build-Depends: debhelper (>= 11),
                libelf-dev,
                zlib1g-dev
-Standards-Version: 4.1.4
+Standards-Version: 4.2.1
 Homepage: https://www.prevanders.net/dwarf.html
 Vcs-Git: https://salsa.debian.org/wolff-guest/dwarfutils.git/
 Vcs-Browser: https://salsa.debian.org/wolff-guest/dwarfutils
