=== debian/tests/control ===
Tests: include-test
Depends: @, build-essential
